using e_suite.API.Common;
using e_suite.UnitTestCore;
using Moq;

namespace eSuite.API.UnitTests.SingleSignOn.CookieManager;

public class CookieManagerTestBase : TestBase
{
    protected API.SingleSignOn.CookieManager _cookieManager = null!;
    protected Mock<IUserManager> _userManagerMock = null!;

    public override async Task Setup()
    {
        await base.Setup();
        _userManagerMock = new Mock<IUserManager>();

        _cookieManager = new API.SingleSignOn.CookieManager(_userManagerMock.Object);
    }
}